質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.10%

受け取ったDockerをdocker-compose upしてもエラーが帰ってくる。

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 283

ktk

score 20

vagrant/centOS7環境にdockerをインストールして受け取ったdockerファイルをdocker-compose upしました。

調べるとパーミッションだと出てきましたが一部パーミッションを変更してファイルなどを755にしました。
そしてdocker-compose upを試しましたが変化がありません。

パーミッションじゃないのかと思いましたが他のエラーでしょうか?

以下エラー内容です。

vbrb  | [FATAL][190208 05:23:21] /!\ FAILSAFE /!\  Fri Feb 08 05:23:21 +0000 2019
vbrb  |   Status: 500 Internal Server Error
vbrb  |   No connection to server
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/memcache-client-1.5.0/lib/memcache.rb:625:in request_setup' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/memcache-client-1.5.0/lib/memcache.rb:204:in get'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/session/mem_cache_store.r
b:61:in initialize' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/cgi/session.rb:280:in new'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/cgi/session.rb:280:in initialize_without_cgi_reader' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/cgi_ext/session.rb:39:in  initialize'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/cgi_process.rb:132:in ne w' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/cgi_process.rb:132:in se
ssion'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/cgi_process.rb:168:in st ale_session_check!' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/cgi_process.rb:116:in se
ssion'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:1135:in assign_s hortcuts_without_flash' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/flash.rb:166:in assign_s
hortcuts'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:523:in process_w ithout_filters' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/filters.rb:569:in proces
s_without_session_management_support'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/session_management.rb:130
:in process' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/base.rb:389:in process'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:149:in han dle_request' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:107:in dis
patch'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in syn chronize' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:104:in dis
patch'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:120:in dis patch_cgi' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/actionpack-2.1.0/lib/action_controller/dispatcher.rb:35:in disp
atch'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/rails-2.1.0/lib/webrick_server.rb:112:in handle_dispatch' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/rails-2.1.0/lib/webrick_server.rb:78:in service'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/httpserver.rb:104:in service' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/httpserver.rb:65:in run'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/server.rb:173:in start_thread' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/server.rb:162:in start'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/server.rb:162:in start_thread' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/server.rb:95:in start'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/server.rb:92:in each' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/server.rb:92:in start'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/server.rb:23:in start' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/1.8/webrick/server.rb:82:in start'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/rails-2.1.0/lib/webrick_server.rb:62:in dispatch' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/rails-2.1.0/lib/commands/servers/webrick.rb:66 vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in gem_original_require'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in require' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:509:in r
equire'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:354:in n ew_constants_in' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/activesupport-2.1.0/lib/active_support/dependencies.rb:509:in r
equire'
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/gems/1.8/gems/rails-2.1.0/lib/commands/server.rb:39
vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in gem_original_require' vbrb  |     /root/.rbenv/versions/1.8.7-p375/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in require'
vbrb  |     script/server:3

docker-compose.yml

version: "2"

volumes:
  budget_db:

services:
  web:
    build: ./docker/web
    ports:
      - "80:80"
#      - "8022:22"
    links:
      - db
      - ruby
    volumes:
      - ./apps/budget_storage:/var/www/html/budget_storage
      - ./apps/v-seisan:/var/www/v-seisan
      - ./apps/v-ysnexcel:/var/www/v-ysnexcel
      - ./apps/budget-management:/var/www/budget-management
      - ./data/budget_storage:/var/www/budget_storage
      - ./logs/apache:/var/log/apache2
#    working_dir: /
    container_name: vbweb

  ruby:
    build: ./docker/ruby
    links:
      - db
      - memcached
    ports:
      - "3000:3000"
    volumes:
      - ./apps/budget:/root/app
    working_dir: /root/app
    command: ruby script/server -e development
    #     environment:
    #       - RAILS_RELATIVE_URL_ROOT=/budget
    #       - RAILS_ENV=development
    container_name: vbrb

  db:
    build: ./docker/db
#    mem_limit: 1000000000
    ports:
      - "5432:5432"
    volumes:
      - budget_db:/var/lib/postgresql/data
      - ./initdb.d:/docker-entrypoint-initdb.d
    #    environment:
#      - LANG="ja_JP.UTF-8"
    container_name: vbdb

  memcached:
    image: "memcached:latest"
    container_name: vbmem
コード
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • DaichiYasuda

    2019/02/10 18:02

    Dockerfileをください

    キャンセル

  • ktk

    2019/02/11 01:16

    docker-compose.ymlを追加しましたが、すべてのDockerfileを記載したほうがいいでしょうか?

    キャンセル

回答 1

+2

ログを見る限り、rubyスクリプトが異常終了した結果、「500 Internal Server Error」が返っていると読めます。

まず疑問なのが、「1.8.7-p375」などというサポートの終了した古いバージョンのrubyで動作させていることです。
Dockerfileの内容が不明であるので推測になりますが、gemパッケージをインストールしたもののrubyのバージョンが古い為に動かない、という状況はありえるかなと感じました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる